Bug 384791 - virt-manager will not install F8 via http
virt-manager will not install F8 via http
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python-virtinst (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Cole Robinson
Virtualization Bugs
: 400391 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-11-15 10:31 EST by Lana Akamine
Modified: 2010-10-22 16:28 EDT (History)
5 users (show)

See Also:
Fixed In Version: RHEA-2008-0371
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 12:45:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dan Poler 2007-11-15 10:31:36 EST
Description of problem:
virt-manager will not install F8 via http because it looks for http://<install
source>/Fedora (among other things) as the package source; F8's package source
has been renamed from Fedora to Packages. Virt-manager needs to know to try
http://<install source>/Packages

Version-Release number of selected component (if applicable):

How reproducible:
Try to use virt-manager to install F8 via http installation source

Steps to Reproduce:
1. run virt manager
2. create new VM
3. point to http://<install source>
Actual results:
Installation will attempt a number of variations of subdirs below
http://<install source> and will fail because it never tries Packages, which is
what F8 uses. This is verifiable by looking at the webserver's logs.

Expected results:
Installation of F8 should succeed

Additional info:
Can be worked around simply by symlinking Packages to Fedora, which virt-manager
tries; this will make the installation succeed without error.
Comment 1 Cole Robinson 2007-11-16 16:24:33 EST
Re-assigning to correct component: python-virtinst

This is fixed upstream and is something we definitely need. Proposing for RHEL5.2.
Comment 2 RHEL Product and Program Management 2007-11-16 16:34:20 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 3 Daniel Berrange 2007-11-28 10:52:33 EST
*** Bug 400391 has been marked as a duplicate of this bug. ***
Comment 4 Daniel Berrange 2007-11-28 10:58:33 EST
Fix added in 0.103.0-4.el5

* Wed Nov 28 2007 Daniel P. Berrange <berrange@redhat.com> - 0.103.0-4.el5
- Fix install of F8 distros (rhbz #384791)

And built for QA

$ brew latest-pkg dist-5E-qu-candidate python-virtinst
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
python-virtinst-0.103.0-4.el5             dist-5E-qu-candidate  berrange
Comment 7 Mike McGrath 2007-11-30 16:33:56 EST
I tested python-virtinst-0.103.0-4.el5, I'm still getting the same thing:

-l http://our.server/rhel/RHEL5-x86_64/ -d

Starting install...
Fri, 30 Nov 2007 14:29:58 DEBUG    Fetching URI
Fri, 30 Nov 2007 14:29:58 DEBUG    Cannot find file fedora.css
Fri, 30 Nov 2007 14:29:58 DEBUG    Fetching URI
Fri, 30 Nov 2007 14:29:58 DEBUG    Cannot find file Fedora
Fri, 30 Nov 2007 14:29:58 DEBUG    Fetching URI
Fri, 30 Nov 2007 14:29:59 DEBUG    Cannot find file Server
Fri, 30 Nov 2007 14:29:59 DEBUG    Fetching URI
Fri, 30 Nov 2007 14:30:00 DEBUG    Cannot find file Client
Fri, 30 Nov 2007 14:30:00 DEBUG    Fetching URI
Fri, 30 Nov 2007 14:30:01 DEBUG    Cannot find file RedHat
Fri, 30 Nov 2007 14:30:01 DEBUG    Fetching URI
Fri, 30 Nov 2007 14:30:02 DEBUG    Cannot find file CentOS
Fri, 30 Nov 2007 14:30:02 DEBUG    Fetching URI
Fri, 30 Nov 2007 14:30:02 DEBUG    Doesn't look like a Suse distro Invalid URL
location given: [Errno 14] HTTP Error 404: Not Found
ERROR:  Could not find an installable distribution the install location

Same results when I specify --os-type=linux --os-variant=rhel5
Comment 8 Mike McGrath 2007-11-30 16:35:42 EST
I should not this works fine when downgrading to python-virtinst-0.99.0-2.el5
Comment 9 Cole Robinson 2008-01-07 16:32:48 EST
Mike (comment #7),

Does the tree you tested this against allow directory listings? virt-install
tries to probe the directory structure of the tree before it installs from it,
as can be seen in the debug output. If directory listings aren't allowed this
detection doesn't work.

The other option is the tree isn't valid: if it is a RHEL5 tree as the path
suggests, there should be a 'Client' or 'Server' directory in the tree root.
Comment 10 Terry Griffin 2008-01-08 02:28:32 EST
Despite the title of this bug, the issue is not specific to http. I just had the
same problem via NFS. It's especially annoying when the source is read-only,
such as a loopback mounted ISO image. It makes the symlink workaround impossible.
Comment 11 Mike McGrath 2008-01-08 09:36:14 EST
Upon a closer inspection of my installation I'm experiencing a proxy issue:


Notice no trailing / after the "Server"  My server is then redirecting to an
internal address, which does not exist.  So virt-server bombs.  This won't
affect NFS installs so I'm not sure how to explain comment #10.
Comment 12 Daniel Berrange 2008-01-08 11:27:58 EST
The person in comment #10 is probably using the original python-virtinst from
RHEL-5.1, since we've not released the fixed build I did for RHEL-5.2 yet.
Comment 13 Terry Griffin 2008-01-08 23:50:01 EST
#10 here again. So yes, to be clear, I experienced the problem via NFS using the
original tools from 5.1, not anything later. And I found that virt-manager has
the same problem, presumably because virt-manager uses virt-install or it shares
some python modules with virt-install.
Comment 15 Ben Woodard 2008-01-30 12:49:54 EST
upgrading to the -6el python-virtinst works for me.
Comment 18 errata-xmlrpc 2008-05-21 12:45:17 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.